Bug 222226 - pdksh-5.2.14-21.5
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: pdksh (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Smetana
Depends On:
  Show dependency treegraph
Reported: 2007-01-10 17:25 EST by Robert Tracy
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-08 11:41:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Tracy 2007-01-10 17:25:13 EST
Description of problem:

Changes in Latest RHEL3.8 pdksh-5.2.14-21.5 have introduced the following 
reproducible problems:

Problem #1
pdksh no longer supports the USR1 and USR2 Signal names.  The rename fix 
disables using USR1 and USR2 in trap calls, must use SIGUSR1 and SIGUSR2. Other 
traps, INT, TERM, HUP, etc. allow the use of either the posix or the short 
> Sample program
> #!/bin/ksh
> trap "Echo USR1" USR1
> Error message
> /tmp/junk[2]: trap: bad signal USR1

Problem #2
pdksh triggers the SIGTERM trap whenever a function or
command call returns a non-zero value.
> Sample programs A:
> #!/bin/ksh
> trap "echo got sigTERM"  TERM
> doit()
> {
>         return 1
> }
> doit
> Sample A output:
> got sigTERM
> Sample programs B:

> #!/bin/ksh
> trap "echo got sigTERM"  TERM
> ls -l /tmp/non_existing_file
> Sample B output:
> ls: /tmp/non_existing_file: No such file or directory
> got sigTERM

Problem does not occur with previous RHEL3 version pdksh-5.2.14-21

Also of note: These problems do not occur on the Latest RHEL4.4 pdksh.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.See above descriptions - Sample scripts
Actual results:

bad signal USR1


TERM trap is triggered incorrectly 

Expected results:

No bad Signal Message

Program/scripts should continue

Additional info:
Comment 1 Suzanne Yeghiayan 2007-05-08 11:24:20 EDT
Unfortunately this issue was not approved for inclusion in RHEL 3.9 and it is
now too late as we are past Beta Freeze.

Since RHEL 3.9 is the last release for RHEL 3, if you still want this issue
fixed, please work with Red Hat Support and request an async errata.
Comment 2 RHEL Product and Program Management 2007-05-08 11:41:36 EDT
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 

Note You need to log in before you can comment on or make changes to this bug.